Bug 1252890 - (CVE-2015-5963) CVE-2015-5963 python-django: Denial-of-service possibility in logout() view by filling session store
CVE-2015-5963 python-django: Denial-of-service possibility in logout() view b...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150818,repor...
: Security
Depends On: 1254911 1254912 1254913 1254914 1254915 1260506 1260508
Blocks: 1252892
  Show dependency treegraph
 
Reported: 2015-08-12 09:02 EDT by Vasyl Kaigorodov
Modified: 2016-11-08 11:24 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that Django incorrectly handled the session store. A session could be created by anonymously accessing the django.contrib.auth.views.logout view if it was not decorated correctly with django.contrib.auth.decorators.login_required. A remote attacker could use this flaw to fill up the session store or cause other users' session records to be evicted by requesting a large number of new sessions.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 19:01:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
session-store-1.4.x.diff (11.77 KB, text/plain)
2015-08-12 09:09 EDT, Vasyl Kaigorodov
no flags Details
session-store-1.7.x.diff (13.38 KB, text/plain)
2015-08-12 09:10 EDT, Vasyl Kaigorodov
no flags Details
session-store-1.8.x.diff (5.72 KB, text/plain)
2015-08-12 09:10 EDT, Vasyl Kaigorodov
no flags Details
session-store-master.diff (5.71 KB, text/plain)
2015-08-12 09:10 EDT, Vasyl Kaigorodov
no flags Details

  None (edit)
Description Vasyl Kaigorodov 2015-08-12 09:02:37 EDT
Following issue was reported in Django:

Previously, a session could be created when anonymously accessing the
``django.contrib.auth.views.logout`` view (provided it wasn't decorated
with ``django.contrib.auth.decorators.login_required`` as done in the
admin). This could allow an attacker to easily create many new session
records by sending repeated requests, potentially filling up the session
store or causing other users' session records to be evicted.
Comment 1 Vasyl Kaigorodov 2015-08-12 09:09:56 EDT
Created attachment 1061941 [details]
session-store-1.4.x.diff
Comment 2 Vasyl Kaigorodov 2015-08-12 09:10:00 EDT
Created attachment 1061942 [details]
session-store-1.7.x.diff
Comment 3 Vasyl Kaigorodov 2015-08-12 09:10:03 EDT
Created attachment 1061943 [details]
session-store-1.8.x.diff
Comment 4 Vasyl Kaigorodov 2015-08-12 09:10:06 EDT
Created attachment 1061944 [details]
session-store-master.diff
Comment 5 Vasyl Kaigorodov 2015-08-12 09:11:23 EDT
Acknowledgements:

Red Hat would like to thank the upstream Django project for reporting this issue.
Comment 6 Adam Mariš 2015-08-19 04:45:37 EDT
Public via:
https://www.djangoproject.com/weblog/2015/aug/18/security-releases/
Comment 9 Garth Mollett 2015-09-07 02:27:29 EDT
Created python-django tracking bugs for this issue:

Affects: openstack-rdo [bug 1260506]
Comment 11 errata-xmlrpc 2015-09-10 07:44:25 EDT
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6

Via RHSA-2015:1766 https://rhn.redhat.com/errata/RHSA-2015-1766.html
Comment 12 errata-xmlrpc 2015-09-10 08:06:03 EDT
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2015:1767 https://rhn.redhat.com/errata/RHSA-2015-1767.html
Comment 13 errata-xmlrpc 2015-10-08 08:21:17 EDT
This issue has been addressed in the following products:

  OpenStack 7 For RHEL 7

Via RHSA-2015:1876 https://access.redhat.com/errata/RHSA-2015:1876
Comment 14 errata-xmlrpc 2015-10-15 08:34:55 EDT
This issue has been addressed in the following products:

  OpenStack 6 for RHEL 7

Via RHSA-2015:1894 https://rhn.redhat.com/errata/RHSA-2015-1894.html

Note You need to log in before you can comment on or make changes to this bug.